@echo off
@REM ###
@REM	Licensed Materials - Property of IBM Corp.
@REM	@PLUGIN_NAME@
@REM	(c) Copyright IBM Corporation 2003, 2013. All Rights Reserved.
@REM	
@REM	U.S. Government Users Restricted Rights - Use, duplication or disclosure restricted by
@REM	GSA ADP Schedule Contract with IBM Corp.
@REM	
@REM	Filename: genAMCTemplate.bat
@REM	
@REM
@REM ###
setlocal ENABLEDELAYEDEXPANSION

REM source the shared lib for JAVA_HOME and CLASSPATH variables
call "%~dp0setupCmdLine.bat"

set ARGS=
:loop
if [%1] == [] goto end_args_loop
set ARGS=%ARGS% %1
shift
goto loop

:end_args_loop
if exist "%JAVA_HOME%\bin\java.exe" goto RUN_COMMAND
goto PRINT_ERROR

:PRINT_ERROR
echo @PLUGIN_NAME@ does not have a correctly installed version of Java. Please review the installation instructions to ensure the product has been installed and configured correctly.
goto END

:RUN_COMMAND
set MCWAS_HOME=%MCWAS_HOME:\=/%
call java.exe "-Dpython.path=%PYTHONPATH%" "-DRAFW_HOME=%MCWAS_HOME%" "-Djava.util.logging.config.class=com.ibm.rational.rafw.wsadmin.logging.FrameworkLogManagerInitializer" com.ibm.rational.deploy.template.generator.CommandLineDeployTemplateGenerator %ARGS%
goto END

:END
endlocal & exit /b %ERRORLEVEL%
