@echo off
REM
REM BEGIN COPYRIGHT
REM *************************************************************************
REM Licensed Materials - Property of IBM 
REM 5724-L01, 5655-N53, 5724-I82, 5655-R15
REM (C) Copyright IBM Corporation 2006. All rights reserved. 
REM US Government Users Restricted Rights - Use, duplication, or disclosure
REM restricted by GSA ADP Schedule Contract with IBM Corp.
REM *************************************************************************
REM END COPYRIGHT
REM 
REM  Description:   Configure Oracle Database environment for CommonDB in occasion of Setup a new or existing database separately
REM 
REM  This file for use on Windows systems

set ATSTRING=@

dir /B | findstr "[create][insert]Table_" > files.log

for /F "tokens=1* delims=" %%v in ( files.log) do (
echo %ATSTRING%%%v >> files.sql
)

echo quit >> files.sql

del files.log

call sqlplus #DB_USER#@#DB_NAME# @files.sql

del  files.sql