"""
	Licensed Materials - Property of IBM Corp. 
IBM Rational Automation Framework 
(c) Copyright IBM Corporation 2003, 2012. All Rights Reserved.   

U.S. Government Users Restricted Rights - Use, duplication or disclosure restricted by 
GSA ADP Schedule Contract with IBM Corp. 

	
	File name: importAsset.py
	
	TODO: description
"""

import sys

def importAsset ( assetFile, assetName ):

        global AdminTask
                
        assetExists = checkIfAssetExists(assetName )
        if (assetExists == "false"):
                requiredParams = ['-source', assetFile]
                asset = AdminTask.importAsset(requiredParams)
                AdminConfig.save()
                AdminHelper.saveAndSyncCell()
        else:
                print "Asset "+assetName+" already exist!"
        #endElse 

        # check if we were successful
        if (checkIfAssetExists(assetName ) == "false"):
                print "failed to import asset="+assetName
        #endIf 
#endDef 

def checkIfAssetExists ( assetName ):
        global AdminTask
        assetExists = "true"
        
        assets = AdminTask.listAssets(["-assetID", assetName])
        if (len(assets) == 0):
                assetExists = "false"
        #endIf 
        return assetExists
#endDef 

optDict, args = SystemUtils.getopt( sys.argv, 'assetFile:;assetName:;mode:' )

assetFile = optDict['assetFile']
assetName = optDict['assetName']

importAsset( assetFile, assetName )



