"""
	Licensed Materials - Property of IBM Corp. 
IBM Rational Automation Framework 
(c) Copyright IBM Corporation 2003, 2012. All Rights Reserved.   

U.S. Government Users Restricted Rights - Use, duplication or disclosure restricted by 
GSA ADP Schedule Contract with IBM Corp. 

	
	File name: startAndStopApp.py
	
	Stops or starts an application on a server or cluster
"""
		
LOGGER = _Logger("startAndStopApp", MessageManager.RB_WEBSPHERE_WAS)
startOrStop = sys.argv[0]
appNames = sys.argv[1]
scope = sys.argv[2]
if (scope == "cluster"):
	clusterName = sys.argv[3]
	WasDeploy.startStopAppOnCluster(appNames, clusterName, startOrStop)
elif (scope == "server"):
	serverName = sys.argv[3]
	nodeName = sys.argv[4]
	WasDeploy.startStopApplication( appNames, nodeName, serverName, startOrStop)
elif (scope == "cell"):
	# scope is cell
	for appName in appNames.split(","):
		WasDeploy.startStopAppOnModuleMappedServers(appName, startOrStop)
	#endFor
else:
	#print "Error: Unknown scope supplied."
	LOGGER.log("CRWWA5053I")
#endIf