"""
	Licensed Materials - Property of IBM Corp. 
IBM Rational Automation Framework 
(c) Copyright IBM Corporation 2003, 2012. All Rights Reserved.   

U.S. Government Users Restricted Rights - Use, duplication or disclosure restricted by 
GSA ADP Schedule Contract with IBM Corp. 

	
	File name: modifyDefaultTC.py
"""

import java.lang.System as System
import sys

wasinstallroot=System.getProperty("was.install.root")
execfile(wasinstallroot+"/bin/XDPYModules.py")

# parse the options into optDict
optDict, args = SystemUtils.getopt( sys.argv, 'properties:;wcname:' )

props = SystemUtils.getPropertyDict( optDict['properties'] )

appName = props['APP_NAME']

if props.has_key('EDITION'):
	appName = appName + '-edition' + props['EDITION']
#endIf
  
modifyAppSLADefaultAction(optDict['wcname'], appName, props['DEFAULT_TRANSACTION_CLASS'], 0)

AdminHelper.saveAndSyncCell()
#end main	
