"""
	Licensed Materials - Property of IBM Corp. 
IBM Rational Automation Framework 
(c) Copyright IBM Corporation 2003, 2012. All Rights Reserved.   

U.S. Government Users Restricted Rights - Use, duplication or disclosure restricted by 
GSA ADP Schedule Contract with IBM Corp. 

	
	File name: printApplicationServers.py
	
	TODO: description
"""
import sys
from sys import argv

arglen=len(sys.argv)
num_exp_args=0 
usage="This function accepts no arguments"
if (arglen != num_exp_args):
	raise "Usage: %s" % (usage)


def getAttributeValue(Attribute_Key_Value_Pair):
	#remove the leading and trailing bracket
	attr=Attribute_Key_Value_Pair[1:len(Attribute_Key_Value_Pair)-1]

	#split the key and value into two length array
	attr=attr.split()

	#return the value of the key value pair
	return attr[1]

#find all servers on this node 
servers=AdminConfig.list('Server')

#turn servers into an array
servers=servers.split()

returnValue=""

#delimiter that separates server names
delimiter=","

for j in range(len(servers)):
	myServer=servers[j]

	#get the serverType key value pair
	serverType_key_value=AdminConfig.show(myServer,'serverType')

	#get the serverType
	myServerType=getAttributeValue(serverType_key_value)

	if (myServerType=="APPLICATION_SERVER"):
		#get the server name
		serverName_key_value=AdminConfig.show(myServer,'name')
		serverName=getAttributeValue(serverName_key_value)
			
		returnValue=returnValue+serverName+delimiter
		print "%s" % (serverName)

#remove the trailing delimiter
if delimiter != "":
	returnValue=returnValue[0:len(returnValue)-len(delimiter)]

print "ApplicationServers=%s" % (returnValue)
