from Logger import _Logger
from com.ibm.rational.rafw.wsadmin.logging import MessageManager

from existingcell.Constants import DR_DEFAULT_VALUE

class Analyzer:

    def __init__(self, collector, cellType, isOracle, bpmReader):
        self.LOGGER = _Logger("Analyzer", MessageManager.RB_WEBSPHERE_WAS)
        self.collector = collector
        self.cellType = cellType
        self.isOracle = isOracle
        self.bpmReader = bpmReader
    #endDef

    def collect(self, key, value):
        self.collector.add(key, value)
    #endDef

    def log(self, message):
        print(message)
    #endDef

    def encrypt(self, key, xor):
        return DR_DEFAULT_VALUE
    #endDef

    def process(self):
        pass
    #endDef

    def isOracleDB(self):
        return self.isOracle
    #endDef

    def getBPMReader(self):
        return self.bpmReader
    #endDef

#endClass
