#!/bin/sh

. ~/sqllib/db2profile

# Ensure that db2 manager is started.
db2start

echo "Dropping database" @DBNAME@ 
db2 drop database @DBNAME@
if [ $? != 0 ] ; then
	echo "DATABASE DROP FAILED"
	echo "Please check error messages above."
	exit 1
fi

if [ "@SIBDBNAME@" != "@DBNAME@" ]; then
	echo "Dropping database" @SIBDBNAME@
	db2 drop database @SIBDBNAME@
	if [ $? != 0 ] ; then
		echo "DATABASE DROP FAILED"
		echo "Please check error messages above."
		exit 1
	fi
fi

if [ "@ACTDBNAME@" != "@DBNAME@" ]; then
	echo "Dropping database" @ACTDBNAME@
	db2 drop database @ACTDBNAME@
	if [ $? != 0 ] ; then
		echo "DATABASE DROP FAILED"
		echo "Please check error messages above."
		exit 1
	fi
fi