@echo off
@REM ###
@REM	Licensed Materials - Property of IBM Corp.
@REM	@PLUGIN_NAME@
@REM	(c) Copyright IBM Corporation 2003, 2013. All Rights Reserved.
@REM	
@REM	U.S. Government Users Restricted Rights - Use, duplication or disclosure restricted by
@REM	GSA ADP Schedule Contract with IBM Corp.
@REM	
@REM	Filename: setupCmdLine.bat
@REM	
@REM
@REM ###

SET CUR_DIR=%cd%
cd /d "%~dp0.."
SET MCWAS_HOME=%cd%
for %%R in ("%cd%") do (
	SET MCWAS_HOME=%%~sR
)

@REM lets also replace paths with spaces with the windows shortname..easiest solution
for %%R in ("%PLUGIN_HOME%") do (
	SET PLUGIN_HOME=%%~sR
)

SET BIT_OVERRIDE_DIR=""

if "%PROCESSOR_ARCHITECTURE%" == "x86" (
	if "%PROCESSOR_ARCHITEW6432%"=="AMD64" (
		SET PLATFORM=X64
		SET BIT_OVERRIDE_DIR=X32
	) else (
		SET PLATFORM=X32
	)
) else (
	SET PLATFORM=X64
	SET BIT_OVERRIDE_DIR=X32
) 


SET CLASSPATH=%MCWAS_HOME%\product\lib\jython\jython.jar

for %%J in ("%MCWAS_HOME%\product\lib\java\*.jar") do (
	SET CLASSPATH=!CLASSPATH!;%%J
)
for %%J in ("%MCWAS_HOME%\product\lib\java\wsadmin_lib\*.jar") do (
	SET CLASSPATH=!CLASSPATH!;%%J
)
for %%J in ("%MCWAS_HOME%\product\lib\ant\*.jar") do (
	SET CLASSPATH=!CLASSPATH!;%%J
)
for /D %%J in ("%MCWAS_HOME%\modules\*") do (
	for %%K in ("%%J\lib\*.jar") do (
		SET CLASSPATH=!CLASSPATH!;%%K
	)
)
for %%J in ("%MCWAS_HOME%\framework\lib\java\*.jar") do (
	SET CLASSPATH=!CLASSPATH!;%%J
)
for %%J in ("%MCWAS_HOME%\java\*.jar") do (
	SET CLASSPATH=!CLASSPATH!;%%J
)

for %%R in ("%JAVA_HOME%") do (
	SET JAVA_HOME=%%~sR
)

SET PATH=%JAVA_HOME%\bin;%PATH%
SET PYTHONPATH=%PYTHONPATH%;%MCWAS_HOME%\product\lib\jython;%MCWAS_HOME%\product\lib\jython\wsadmin_lib
SET OS=windows

REM java -version 2>&1 | findstr 1\.6 | findstr IBM > nul
REM if %errorlevel% NEQ 0 (
REM echo    WARNING: About to run with a non-IBM 1.6 JRE, results will be unpredictable
REM )