"""
	Licensed Materials - Property of IBM Corp. 
IBM Rational Automation Framework 
(c) Copyright IBM Corporation 2003, 2012. All Rights Reserved.   

U.S. Government Users Restricted Rights - Use, duplication or disclosure restricted by 
GSA ADP Schedule Contract with IBM Corp. 

	
	File name: registerDmgrWithJobManager.py
	
	This script is to register dmgr node with job manager
	This script is invoked as:
	wsadmin -lang jython -profile jythonLib.py -f registerDmgrWithJobManager.py -host @{JOB_MANAGER_HOST} -port ${JOB_MANAGER_ADMIN_SECURE_PORT} -managedNodeName ${NODE_NAME} -user ${WAS_USERNAME} -password ${WAS_PASSWORD} 
"""


import sys

# parse the options into optDict
optDict, args = SystemUtils.getopt( sys.argv, 'host:;port:;managedNodeName:;user:;password:' )

host = optDict['host']
port = optDict['port']
managedNodeName = optDict['managedNodeName']
user = optDict['user']
password = optDict['password']

AdminTask.registerWithJobManager("-host " + host + " -port " + port + " -managedNodeName " + managedNodeName + " -user " + user + " -password " + password )


#end main		


