-- @start_restricted_prolog@
-- Licensed Materials - Property of IBM
-- 
-- 5724-I82 5724-L01 5655-N53 5655-R15 5655-N63               
-- Copyright IBM Corporation 2005 All Rights Reserved.
-- US Government Users Restricted Rights- Use, duplication or disclosure
-- restricted by GSA ADP Schedule Contract with IBM Corp.
-- @end_restricted_prolog@

-- Oracle V10G schema for Message Logger Mediation

CREATE TABLE V_SQLID.MSGLOG
  (TIMESTAMP TIMESTAMP(6) NOT NULL,
   MESSAGEID VARCHAR2(36) NOT NULL,
   MEDIATIONNAME VARCHAR2(256) NOT NULL,
   MODULENAME VARCHAR2(256),
   MESSAGE CLOB,
   VERSION VARCHAR2(10));

ALTER TABLE V_SQLID.MSGLOG
  ADD CONSTRAINT PK_MSGLOG PRIMARY KEY (TIMESTAMP, MESSAGEID, MEDIATIONNAME);
