"""
	Licensed Materials - Property of IBM Corp. 
IBM Rational Automation Framework 
(c) Copyright IBM Corporation 2003, 2012. All Rights Reserved.   

U.S. Government Users Restricted Rights - Use, duplication or disclosure restricted by 
GSA ADP Schedule Contract with IBM Corp. 

	
	File name: deleteAsset.py
	
	TODO: description
"""

import sys

def deleteAsset ( assetName ):

	global AdminTask
        
	assetExists = checkIfAssetExists(assetName )
	if (assetExists == "true"):
		requiredParams = ['-assetID', assetName]
		asset = AdminTask.deleteAsset(requiredParams)
		AdminConfig.save()
		AdminHelper.saveAndSyncCell()
	else:
		print "Asset "+assetName+" doesn't exist!"
	#endElse 
	
	# check if we were successful
	if (checkIfAssetExists(assetName ) == "true"):
		print "failed to delete asset="+assetName
	#endIf 
#endDef 

def checkIfAssetExists ( assetName ):
        global AdminTask
        assetExists = "true"
        
        assets = AdminTask.listAssets(["-assetID", assetName])
        if (len(assets) == 0):
                assetExists = "false"
        #endIf 
        return assetExists
#endDef 

optDict, args = SystemUtils.getopt( sys.argv, 'assetName:;mode:' )

assetName = optDict['assetName']

deleteAsset( assetName )



