"""
	Licensed Materials - Property of IBM Corp. 
IBM Rational Automation Framework 
(c) Copyright IBM Corporation 2003, 2012. All Rights Reserved.   

U.S. Government Users Restricted Rights - Use, duplication or disclosure restricted by 
GSA ADP Schedule Contract with IBM Corp. 

	
	File name: exportAsset.py
	
	TODO: description
"""

import sys

def exportAsset ( assetFile, assetName ):

        global AdminTask
                
        assetExists = checkIfAssetExists(assetName )
        if (assetExists == "true"):
                requiredParams = ['-assetID', assetName, '-filename', assetFile]
                asset = AdminTask.exportAsset(requiredParams)
                AdminConfig.save()
        else:
                print "Asset "+assetName+" doesn't exist!"
        #endElse 

#endDef 

def checkIfAssetExists ( assetName ):
        global AdminTask
        assetExists = "true"
        
        assets = AdminTask.listAssets(["-assetID", assetName])
        if (len(assets) == 0):
                assetExists = "false"
        #endIf 
        return assetExists
#endDef 

optDict, args = SystemUtils.getopt( sys.argv, 'assetFile:;assetName:;mode:' )

assetFile = optDict['assetFile']
assetName = optDict['assetName']

exportAsset( assetFile, assetName )


