"""
    Licensed Materials - Property of IBM Corp. 
IBM Rational Automation Framework 
(c) Copyright IBM Corporation 2003, 2012. All Rights Reserved.   

U.S. Government Users Restricted Rights - Use, duplication or disclosure restricted by 
GSA ADP Schedule Contract with IBM Corp. 

	
	File name: ConfigReaderException.py
	
	This contains exceptions used by ConfigReader 
"""

"""
	Thrown when configuration data cannot be read from WAS either
	because the data is invalid or an error occurred while reading 
	the data in WebSphere
"""	
class ConfigReaderException:
	
	def __init__(self, message):
		self.message = message
	#endDef
	
	def __str__(self):
		return str(self.message)
	#endDef
	
#endClass