#!/bin/sh

. ~/sqllib/db2profile

#db2set DB2COMM=tcpip
#db2 update dbm cfg using SVCENAME db2c_@WSRR_DB2_INSTANCE_NAME@

# Ensure that the db2c_@WSRR_DB2_INSTANCE_NAME@ service is defined in /etc/services.
#db2stop
#db2start

# Ensure that db2 manager is started.
db2start

db2 -tf createdb.sql
db2 connect to @DBNAME@ user @DBUSER@ using @DBPASSWORD@
db2 set current schema @DBUSER@
db2 -tf PersistentECore.sql
db2 -tf createtables.sql
db2 -tf createsched.sql
db2 -tf createts.sql
db2 -tf createsib.sql
db2 -tf createwsrr.sql
db2 terminate

#db2stop
#db2start
