#!/usr/local/bin/perl

@ihsHosts = (@IHS_INSTANCES@);
$origPluginCfg = "@WAS_PROF_HOME@/etc/plugin-cfg.xml";

print $origPluginCfg."\n";

my @currentHosts=();
my @currentPorts=();

sub move {    
    if (! mkdir("/tmp/copy_plugin.$$")) { 
	die "mkdir failed"; 
    }

    foreach $host (@currentHosts) { 
	foreach $port (@currentPorts) {
	    open (F,"<$origPluginCfg");
	    open (G,">/tmp/copy_plugin.$$/plugin-cfg.$port.xml");
	    while (<F>) {
		if (m/<Log /) {
		    print G "   <Log LogLevel=\"Error\" Name=\"/opt/httpd/logs/$host/httpd-$port/plugin.log\"/>\n";
		}
		else { print G; }
	    }
	    close(F);
	    close(G);
	    print  "/usr/local/bin/scp /tmp/copy_plugin.$$/* $remoteuser\@$host:/opt/httpd/etc/ibm/";
	    system "/usr/local/bin/scp /tmp/copy_plugin.$$/* $remoteuser\@$host:/opt/httpd/etc/ibm/";
	}
    }
    system "/bin/rm -rf /tmp/copy_plugin.$$";
}

sub one {
    my($index) = @_;
    @currentHosts = ();
    @currentPorts=();
    for $host ( 0 .. $#{$ihsHosts[$index]} ) {
	push(@currentHosts, $ihsHosts[$index][$host]); 
    }
    for $inst ( 0 .. $#{$ihsHosts[$index+1]} ) {
	push(@currentPorts, $ihsHosts[$index+1][$inst]); 
    }
    
    &move();
}

$i = 0;
while ($i < $#ihsHosts) {
    &one($i);
    $i = $i + 2;
}    
